/*########################################################################
	ExportImageDlg.cpp

	Copyright 2002 Mark Williams, all rights reserved.
	Contact: mark@extrabit.com
	http://www.extrabit.com

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

########################################################################*/

#include "stdafx.h"
#include "fractalviewer.h"
#include "ExportImageDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CExportImageDlg dialog


CExportImageDlg::CExportImageDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CExportImageDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CExportImageDlg)
	m_width = 0;
	m_height = 0;
	//}}AFX_DATA_INIT

	m_aa_gridsize = 0 ;
}


void CExportImageDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CExportImageDlg)
	DDX_Control(pDX, IDC_AA_COMBO, m_aa_combo);
	DDX_Text(pDX, IDC_WIDTH_EDIT, m_width);
	DDV_MinMaxInt(pDX, m_width, 0, 10000);
	DDX_Text(pDX, IDC_HEIGHT_EDIT, m_height);
	DDV_MinMaxInt(pDX, m_height, 0, 10000);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CExportImageDlg, CDialog)
	//{{AFX_MSG_MAP(CExportImageDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CExportImageDlg message handlers


/////////////////////////////////////////////////////////////////////////////
BOOL CExportImageDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_aa_combo.SetCurSel (m_aa_gridsize-1) ;
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


/////////////////////////////////////////////////////////////////////////////
void CExportImageDlg::OnOK() 
{
	m_aa_gridsize = m_aa_combo.GetCurSel() + 1 ;
	
	CDialog::OnOK();
}
