#if !defined(AFX_EXPORTIMAGEDLG_H__182C9D10_F475_47FB_AC91_7C8867695A7E__INCLUDED_)
#define AFX_EXPORTIMAGEDLG_H__182C9D10_F475_47FB_AC91_7C8867695A7E__INCLUDED_
/*########################################################################
	ExportImageDlg.h

	Copyright 2002 Mark Williams, all rights reserved.
	Contact: mark@extrabit.com
	http://www.extrabit.com

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

########################################################################*/

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CExportImageDlg dialog

/**	This derived CDialog class is used for the panel that allows
 *	the user to enter the width and height for an exported image,
 *	and the level of anti-aliasing.
 */
class CExportImageDlg : public CDialog
{
// Construction
public:
	CExportImageDlg(CWnd* pParent = NULL);   // standard constructor

	int inq_aa_gridsize (void) const { return m_aa_gridsize ; }
	void set_aa_gridsize (int aa_gridsize) { m_aa_gridsize = aa_gridsize ; }

// Dialog Data
	//{{AFX_DATA(CExportImageDlg)
	enum { IDD = IDD_EXPORT_IMAGE_DLG };
	CComboBox	m_aa_combo;
	int		m_width;
	int		m_height;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExportImageDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CExportImageDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	int m_aa_gridsize ;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXPORTIMAGEDLG_H__182C9D10_F475_47FB_AC91_7C8867695A7E__INCLUDED_)
